Bug 464909 - Whenever screensaver activates, memory leak happens in xorg.
Whenever screensaver activates, memory leak happens in xorg.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-01 06:37 EDT by sangu
Modified: 2009-12-18 01:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:28:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-10-01 06:37:16 EDT
Description of problem:
Whenever screensaver(gnome-screensaver) activates, memory leak happens in xorg.


2904 is Xorg process number.
before
$ pmap -x 2904 | grep total
total kB  246692       -       -       -
after
$ pmap -x 2904 | grep total
total kB  255836       -       -      -
difference 9144 kB

before
$ pmap -x 2904 | grep total
total kB  259504       -       -       -
after
$ pmap -x 2904 | grep total
total kB  265888       -       -       -
difference 6384 kB

$ pmap -x 2904 | grep total
total kB  275124       -       -       -
$ pmap -x 2904 | grep total
total kB  284244      
difference 9120 kB

$ pmap -x 290444 | grep total
total kB  284748       -       -       -
$ sudo pmap -x 2904 | grep total
total kB  293636       -       -       -
difference 8888 kB

Version-Release number of selected component (if applicable):
1.5.1-2.fc10

How reproducible:
Whenever screensaver activates, always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
gnome-screensaver-2.24.0-1.fc10.
Comment 1 Bug Zapper 2008-11-25 22:19:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Mathieu Chouquet-Stringer 2008-12-05 13:00:56 EST
Hello,

I have the same issue:
pmap -x $(pgrep -f Xorg)|grep total
total kB 1465840       -       -       -

root     18783  7.6 34.3 1407172 711536 tty7   SLs+ Dec01 479:05 /usr/bin/Xorg :0 -br -verbose -auth /var/run/gdm/auth-for-gdm-7KVAZF/database -nolisten tcp

My Xorg version is 1.5.3-5.fc10.i386

Notice X has only been started 4 days ago...
Comment 3 Bug Zapper 2009-11-18 02:55:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:28:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.